#!/bin/bash
#
#	/etc/rc.d/init.d/serproxy
#
#	provides network access to serial ports
#
# chkcopnfig: 345 99 01
# description: provides network access to serial ports
# processname: serproxy
# config: /etc/serproxy.cfg
#
#
# <tags -- see below for tag definitions.  *Every line* from the top
#  of the file to the end of the tags section must begin with a #
#  character.  After the tags section, there should be a blank line.
#  This keeps normal comments in the rest of the file from being
#  mistaken for tags, should they happen to fit the pattern.>

# Source function library.
. /etc/init.d/functions

[ -f /etc/sysconfig/serproxy ] && . /etc/sysconfig/serproxy

start() {
	echo -n "Starting serproxy: "
	<start daemons, perhaps with the daemon function>
	touch /var/lock/subsys/serproxy
	return <return code of starting daemon>
}	

stop() {
	echo -n "Shutting down serproxy: "
	<stop daemons, perhaps with the killproc function>
	rm -f /var/lock/subsys/serproxy
	return <return code of stopping daemon>
}

case "$1" in
    start)
	start
	;;
    stop)
	stop
	;;
    status)
	;;
    restart)
    	stop
	start
	;;
    reload)
	<cause the service configuration to be reread, either with
	kill -HUP or by restarting the daemons, in a manner similar
	to restart above>
	;;
    condrestart)
	[ -f /var/lock/subsys/<service> ] && restart || :
	;;
    *)
	echo "Usage: serproxy {start|stop|status|reload|restart|condrestart}"
	exit 1
	;;
esac
exit $?
